Skip to main content

Refunds


This section provides the information needed to refund a transaction.

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} value is the transaction ID of the payment or capture being refunded.

Example

{  "clientReferenceInformation": {    "code": "TC-Refund-1"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100",      "currency": "brl"    }  },  "paymentInformation": {    "card": {      "expirationYear": "2031"    }  }}
{  "_links" : {    "void" : {      "method" : "POST",      "href" : "/pts/v2/refunds/7627898220306278903092/voids"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/refunds/7627898220306278903092"    }  },  "clientReferenceInformation" : {    "code" : "RTS FO Credit"  },  "id" : "7627898220306278903092",  "orderInformation" : {    "amountDetails" : {      "currency" : "brl"    }  },  "reconciliationId" : "7627898220306278903092",  "refundAmountDetails" : {    "currency" : "brl",    "refundAmount" : "100.00"  },  "status" : "PENDING",  "submitTimeUtc" : "2025-11-10T15:50:22Z"}
FieldTypeDescription
clientReferenceInformation.code
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationYear

Last published: September 29, 2026